Loading...
Searching...
No Matches
form_lazy_add< Binop, Expr1, Expr2 >

## Detailed Description

template<class Binop, class Expr1, class Expr2>
class rheolef::details::form_lazy_add< Binop, Expr1, Expr2 >

Definition at line 507 of file form_lazy_expr.h.

Inheritance diagram for form_lazy_add< Binop, Expr1, Expr2 >:

## Public Types

using | base = form_lazy_base<form_lazy_add<Binop,Expr1,Expr2>>
using | size_type = geo_element::size_type
using | memory_type = typename Expr1::memory_type
using | scalar_type = typename Expr1::scalar_type
using | space_type = typename Expr1::space_type
using | geo_type = typename Expr1::geo_type
using | float_type = typename float_traits<scalar_type>::type
using | band_type = band_basic<float_type,memory_type>
using | matrix_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,Eigen::Dynamic>

## Public Member Functions

| form_lazy_add (const Expr1 &expr1, const Expr2 &expr2)
const geo_type & | get_geo () const
const space_type & | get_trial_space () const
const space_type & | get_test_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K)
bool | is_diagonal () const
void | evaluate (const geo_type &omega_K, const geo_element &K, matrix_element_type &ak) const
Public Member Functions inherited from form_lazy_base< form_lazy_add< Binop, Expr1, Expr2 > >
std::enable_if< details::is_field_lazy< FieldExpr >::value, field_lazy_trans_mult_form< form_lazy_add< Binop, Expr1, Expr2 >, FieldExpr > >::type | trans_mult (const FieldExpr &u_expr) const
field_lazy_trans_mult_form< form_lazy_add< Binop, Expr1, Expr2 >, field_lazy_terminal_field< T, M > > | trans_mult (const field_basic< T, M > &uh) const

## Protected Attributes

Binop | _binop
Expr1 | _expr1
Expr2 | _expr2

## Additional Inherited Members

Protected Member Functions inherited from form_lazy_base< form_lazy_add< Binop, Expr1, Expr2 > >
form_lazy_add< Binop, Expr1, Expr2 > & | derived ()
const form_lazy_add< Binop, Expr1, Expr2 > & | derived () const

## Member Typedef Documentation

## base

template<class Binop, class Expr1, class Expr2>

using base = form_lazy_base<form_lazy_add<Binop,Expr1,Expr2>>

Definition at line 511 of file form_lazy_expr.h.

## size_type

template<class Binop, class Expr1, class Expr2>

using size_type = geo_element::size_type

Definition at line 512 of file form_lazy_expr.h.

## memory_type

template<class Binop, class Expr1, class Expr2>

using memory_type = typename Expr1::memory_type

Definition at line 513 of file form_lazy_expr.h.

## scalar_type

template<class Binop, class Expr1, class Expr2>

using scalar_type = typename Expr1::scalar_type

Definition at line 514 of file form_lazy_expr.h.

## space_type

template<class Binop, class Expr1, class Expr2>

using space_type = typename Expr1::space_type

Definition at line 515 of file form_lazy_expr.h.

## geo_type

template<class Binop, class Expr1, class Expr2>

using geo_type = typename Expr1::geo_type

Definition at line 516 of file form_lazy_expr.h.

## float_type

template<class Binop, class Expr1, class Expr2>

using float_type = typename float_traits<scalar_type>::type

Definition at line 517 of file form_lazy_expr.h.

## band_type

template<class Binop, class Expr1, class Expr2>

using band_type = band_basic<float_type,memory_type>

Definition at line 518 of file form_lazy_expr.h.

## matrix_element_type

template<class Binop, class Expr1, class Expr2>

using matrix_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,Eigen::Dynamic>

Definition at line 519 of file form_lazy_expr.h.

## Constructor & Destructor Documentation

## form_lazy_add()

template<class Binop, class Expr1, class Expr2>

form_lazy_add | ( | const Expr1 & | expr1,
|  | const Expr2 & | expr2 )

Definition at line 523 of file form_lazy_expr.h.

## Member Function Documentation

## get_geo()

template<class Binop, class Expr1, class Expr2>

const form_lazy_add< Binop, Expr1, Expr2 >::geo_type & get_geo | ( |  | ) | const

Definition at line 575 of file form_lazy_expr.h.

## get_trial_space()

template<class Binop, class Expr1, class Expr2>

const space_type & get_trial_space | ( |  | ) | const

Definition at line 532 of file form_lazy_expr.h.

## get_test_space()

template<class Binop, class Expr1, class Expr2>

const space_type & get_test_space | ( |  | ) | const

Definition at line 533 of file form_lazy_expr.h.

## is_on_band()

template<class Binop, class Expr1, class Expr2>

bool is_on_band | ( |  | ) | const

Definition at line 534 of file form_lazy_expr.h.

## get_band()

template<class Binop, class Expr1, class Expr2>

band_type get_band | ( |  | ) | const

Definition at line 535 of file form_lazy_expr.h.

## initialize()

template<class Binop, class Expr1, class Expr2>

void initialize | ( | const geo_type & | omega_K | ) |

Definition at line 558 of file form_lazy_expr.h.

## is_diagonal()

template<class Binop, class Expr1, class Expr2>

bool is_diagonal | ( |  | ) | const

Definition at line 538 of file form_lazy_expr.h.

## evaluate()

template<class Binop, class Expr1, class Expr2>

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | matrix_element_type & | ak ) const

Definition at line 582 of file form_lazy_expr.h.

## Member Data Documentation

## _binop

template<class Binop, class Expr1, class Expr2>

Binop _binop

protected

Definition at line 547 of file form_lazy_expr.h.

## _expr1

template<class Binop, class Expr1, class Expr2>

Expr1 _expr1

protected

Definition at line 548 of file form_lazy_expr.h.

## _expr2

template<class Binop, class Expr1, class Expr2>

Expr2 _expr2

protected

Definition at line 549 of file form_lazy_expr.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/form_lazy_expr.h